## net.dontdrinkandroot.wicket.headeritem
Class ExternalJQueryUiJsHeaderItem

    java.lang.Object
      org.apache.wicket.markup.head.HeaderItem
          org.apache.wicket.markup.head.JavaScriptHeaderItem
              org.apache.wicket.markup.head.JavaScriptUrlReferenceHeaderItem
                  net.dontdrinkandroot.wicket.headeritem.ExternalJQueryUiJsHeaderItem

    public class ExternalJQueryUiJsHeaderItem

extends org.apache.wicket.markup.head.JavaScriptUrlReferenceHeaderItem

Constructor Summary
`ExternalJQueryUiJsHeaderItem(boolean defer)`

Method Summary
`java.lang.Iterable<? extends org.apache.wicket.markup.head.HeaderItem>` `getDependencies()`

Methods inherited from class org.apache.wicket.markup.head.JavaScriptUrlReferenceHeaderItem
`equals, getCharset, getId, getRenderTokens, getUrl, hashCode, isDefer, render, toString`

Methods inherited from class org.apache.wicket.markup.head.JavaScriptHeaderItem
`forReference, forReference, forReference, forReference, forReference, forReference, forReference, forReference, forScript, forScript, forUrl, forUrl, forUrl, forUrl, forUrl, getCondition, internalRenderJavaScriptReference`

Methods inherited from class org.apache.wicket.markup.head.HeaderItem
`getProvidedResources`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExternalJQueryUiJsHeaderItem

    public ExternalJQueryUiJsHeaderItem(boolean defer)

Method Detail

### getDependencies

    public java.lang.Iterable<? extends org.apache.wicket.markup.head.HeaderItem> getDependencies()

  Overrides:
    `getDependencies` in class `org.apache.wicket.markup.head.HeaderItem`

Copyright © 2013 dontdrinkandroot. All Rights Reserved.